Name:          trove4j
Version:       3.0.1
Release:       %mkrel 1
Summary:       High performance collections for Java
Group:         Development/Java
License:       LGPL, MIT
Url:           http://trove.starlight-systems.com/
Source0:       http://sourceforge.net/projects/trove4j/files/trove/%{version}/trove-%{version}.tar.gz
Source1:       http://repo1.maven.org/maven2/net/sf/trove4j/trove4j/%{version}/trove4j-%{version}.pom

#/trove4j/main/trunk/benchmarks/src/gnu/trove/benchmark

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: colt
BuildRequires: junit4

# benchmarks
# allocation.jar
#BuildRequires: caliper
#BuildRequires: gnu-trove

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The GNU Trove library has two objectives: 

Provide "free" (as in "free speech" and "free beer"), 
fast, lightweight implementations of the java.util 
Collections API. These implementations are designed 
to be pluggable replacements for their JDK equivalents. 

Whenever possible, provide the same collections support 
for primitive types. This gap in the JDK is often 
addressed by using the "wrapper" classes 
(java.lang.Integer, java.lang.Float, etc.) with 
Object-based collections. For most applications, however, 
collections which store primitives directly will require 
less space and yield significant performance gains.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -c

find \( -name '*.jar' -o -name '*.class' \) -exec rm -f '{}' \;

%build

cd %{version}
export CLASSPATH=`build-classpath colt junit4`
ant -Dversion=%{version} jar javadoc test

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 %{version}/output/lib/trove-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr %{version}/output/javadocs/* %{buildroot}%{_javadocdir}/%{name}

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %SOURCE1 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
%add_to_maven_depmap gnu.trove %{name} %{version} JPP %{name}
%add_to_maven_depmap trove trove %{version} JPP %{name}

%post
%update_maven_depmap

%preun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc %{version}/AUTHORS.txt %{version}/CHANGES.txt %{version}/LICENSE.txt %{version}/README*.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Wed Nov 02 2011 gil <gil> 3.0.1-1.mga2
+ Revision: 161842
- imported package trove4j

